# Generated from gtm-cli-0.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gtm-cli

Name: rubygem-%{gem_name}
Version: 0.2.3
Release: 1%{?dist}
Summary: GTM Cli
License: MIT
URL: https://github.com/manuel84/gtm-cli
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rubocop) >= 0.26
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(guard-rspec) >= 4.5
# BuildRequires: rubygem(guard-rspec) < 5
BuildArch: noarch

%description
GTM Cli.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/gtm
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/gtm-cli.gemspec
%{gem_instdir}/spec

%changelog
* Mon Aug 23 2021 mockbuilder - 0.2.3-1
- Initial package
